<?php session_start();
	date_default_timezone_set('America/Bogota');
	//RESTRICCION DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
	if (isset($_SESSION['tipousuario'])){
		if ($_SESSION['tipousuario']=='1'){
			header ('location:menu_personal.php');
		}
	}

	if(trim($_SESSION['nombre_validar'])==''){ 
		header ('location:index.php');
	}

	include ("fphp.php");
	$enlace=cargar_conexion();
	menu();
  
  $detalle=$_REQUEST["detalle"];
  $pago=$_REQUEST["pago"];
  //pago=2022-02-22&detalle=16-02-2022%20al%2028-02-2022

  $cestaTicketQuery = "SELECT CEDULA, p.nombres, p.apellidos,  p.cuenta, p.nacionalidad, MONTO, if(SUBSTR(p.cuenta,1,4)='0108','provincial','otro') banco FROM pagos_bono_alimen as pba INNER JOIN personal AS p ON pba.cedula = p.codigo WHERE pba.fecha = '".$pago."' AND pba.concepto ='7004' AND MONTO > 0 and pba.detalle ='".$detalle."' order by CEDULA ASC";
  $cestaTicketResultados = mysqli_query($enlace, $cestaTicketQuery) or die ("no se pudo realizar la consulta...");
  $n_registros_ct=mysqli_num_rows($cestaTicketResultados);
  $fecha_lote = date("dmY-His");

  $f = "bono_ct_txt/cesta_ticket_provincial-".$fecha_lote.".txt";
  $fo = "bono_ct_txt/cesta_ticket_otros-".$fecha_lote.".txt";
  $fileOtros = fopen($fo,"w+");
  $file = fopen($f,"w+");
  for ($it=0; $it < $n_registros_ct ; $it++) {
    $row = mysqli_fetch_array($cestaTicketResultados);
    $cedula = $row['CEDULA'];
    $monto = str_replace('.','',$row['MONTO']);
    $concepto_monto = "CESTA TICKET";
    $cuenta_banco = $row['cuenta'];
    $nacionalidad = $row['nacionalidad'];
    $nombres = preg_replace("/\s+/", " ", trim($row['nombres']." ".$row['apellidos']));

    if($row['banco'] === "provincial"){
      fwrite($file,str_pad($cuenta_banco, 20, "0", STR_PAD_LEFT)); //Número de cuenta
      fwrite($file," ");//Constante
      fwrite($file,$nacionalidad); //Nacionalidad
      fwrite($file,str_pad($cedula, 10, "0", STR_PAD_LEFT)); //Número de cedula
      fwrite($file," ");//Constante
      fwrite($file,str_pad($monto, 15, "0", STR_PAD_LEFT)); //Monto a pagar
      fwrite($file," ");//Constante
      fwrite($file,str_pad($nombres, 35, " ", STR_PAD_RIGHT)); //Imprime nombres con espacios hasta 35 caracteres
      fwrite($file,"\r\n"); //Nueva Linea
    }
    else{
      fwrite($fileOtros,str_pad($cuenta_banco, 20, "0", STR_PAD_LEFT)); //Número de cuenta
      fwrite($fileOtros," ");//Constante
      fwrite($fileOtros,$nacionalidad); //Nacionalidad
      fwrite($fileOtros,str_pad($cedula, 10, "0", STR_PAD_LEFT)); //Número de cedula
      fwrite($fileOtros," ");//Constante
      fwrite($fileOtros,str_pad($monto, 15, "0", STR_PAD_LEFT)); //Monto a pagar
      fwrite($fileOtros," ");//Constante
      fwrite($fileOtros,str_pad($nombres, 35, " ", STR_PAD_RIGHT)); //Imprime nombres con espacios hasta 35 caracteres
      fwrite($fileOtros,"\r\n"); //Nueva Linea
    }
  }
  fclose($file);
  fclose($fileOtros);

  echo "<style>
  .regristrado{
      color: green;
      margin-left: 7%;
      font-weight: bold;
  }
  </style>";
  echo "<p class='regristrado' >Archivo provincial guardado correctamente <a href = 'generar_txt.php?file=$f';>Descargar</a><p>";
  echo "<p class='regristrado' >Archivo otros bancos guardado correctamente <a href = 'generar_txt.php?file=$fo';>Descargar</a><p>";

  echo "<a id='link1' target='_blank' href = 'generar_txt.php?file=$fo';></a>";
  echo "<a id='link2' target='_blank' href = 'generar_txt.php?file=$f';></a>";
  echo "<script> document.getElementById('link1').click(); document.getElementById('link2').click(); </script>";
  
?>
  </body>
</html>